View Issue Details

IDProjectCategoryView StatusLast Update
0024199LazarusDebuggerpublic2019-04-22 19:33
ReporterMartin Friebe Assigned ToMartin Friebe  
PrioritynormalSeverityminorReproducibilitysometimes
Status closedResolutionduplicate 
Platformw32OSwin 
Product Version1.0.8 
Summary0024199: Debugger and watches with uff8/ansi content
DescriptionIf a string contains valid utf8 it is not alvways transated to display, but left in gdb 0000234#123 format:

  procedure FixUpResult(AnExpression: string; ResultInfo: TGDBType = nil);

does not call "ProcessGDBResultText" for "FTextValue"
except, if it goes to GetText:
              FTextValue := MakePrintable(GetText(Addr));


If a string contains ansi, or other none utf8, it will fail[ to display, if it was translated by "ProcessGDBResultText"


See http://lists.lazarus.freepascal.org/pipermail/lazarus/2013-April/080309.html
TagsNo tags attached.
Fixed in Revision
LazTarget-
Widgetset
Attached Files

Relationships

related to 0024380 closedMartin Friebe The window "Watсh List" does not show the national character set. 

Activities

Martin Friebe

2013-05-17 12:46

manager   ~0067732

Closed as duplicate

Issue History

Date Modified Username Field Change
2013-04-01 11:25 Martin Friebe New Issue
2013-04-01 11:25 Martin Friebe Status new => assigned
2013-04-01 11:25 Martin Friebe Assigned To => Martin Friebe
2013-05-05 14:58 Martin Friebe Relationship added related to 0024380
2013-05-17 12:46 Martin Friebe Note Added: 0067732
2013-05-17 12:46 Martin Friebe Status assigned => resolved
2013-05-17 12:46 Martin Friebe Resolution open => duplicate
2019-04-22 19:33 Martin Friebe Status resolved => closed